Bug 251941 - anaconda lists network interfaces with swapped descriptions
anaconda lists network interfaces with swapped descriptions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On: 177452
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 11:53 EDT by Orion Poplawski
Modified: 2008-08-01 22:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-01 22:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-08-13 11:53:54 EDT
Doing a PXE network install on a Dell Latitude X300 with broadcom wireless card.
 When installer prompts me which interface to use, it lists:

eth0 - Broadcom Corporation BCM4306 802.11b/g Wireless LAN Controller
eth1 - Broadcom Corporation NetXtreme BCM5705M Gigabit Ethernet

But this is reversed.
Comment 1 David Cantrell 2007-08-27 16:02:10 EDT
I'm seeing the same thing here, except my wireless card is an Intel 3945, but
the description is reversed.  I'm looking at what kudzu gives us for device
names and descriptions during installation and I notice that for the wireless
device, kudzu is setting the device name to just 'eth'.  Not eth0 or eth1 or
anything else.  I think this is why the sorting is incorrect.

Can you try the following:
- Start the installation and get to the stage 2 environment (the graphical
interface that starts after you see "Running anaconda...")
- Switch over to tty2 (Ctrl+Alt+F2) to get to a shell.
- Run the following command and post the output here:

python -c "import kudzu ; print kudzu.probe(kudzu.CLASS_NETWORK,
kudzu.BUS_UNSPEC, kudzu.PROBE_ALL)"

I have a feeling your wireless NIC is showing up as eth.
Comment 2 David Cantrell 2007-08-30 12:05:45 EDT
OK, figured this one out.  kudzu will return 'eth' for the device name if the
device is not usable yet (for example, requires firmware to be loaded or
requires another module or something).

I've modified anaconda so that it skips of unusable devices in that list.

Also (per bug #177452), I've copied in the binary firmware files included in
Fedora to the initrd so we can have those supported at install time (e.g.,
ipw2100, ipw2200, and so on).

Thanks for the report.
Comment 3 Orion Poplawski 2007-09-14 12:01:53 EDT
I'm seeing this again with anaconda 11.3.0.29-1 and a system with a ipw2100. 
Above kudzu probe outputs (trimmed):

Driver: ipw2100
Device: eth
Driver: 8139too
Device: eth0

anaconda display ipw2100 as eth0 and 8139too as eth1.

Note that I also see "Firmware 'ipw2100-1.3.fw' not available or load failed as
well.
Comment 4 David Cantrell 2008-02-01 20:18:51 EST
Is this happening with rawhide anymore?  We aren't using kudzu for device
detection anymore, we're using udev+hal now.
Comment 5 Orion Poplawski 2008-04-03 18:13:25 EDT
I can't really test until bug 177452 is fixed again and wireless drivers are
loaded so the machine has more than one interface.
Comment 6 Bug Zapper 2008-05-13 23:07:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Cantrell 2008-08-01 22:52:26 EDT
I'm not seeing this bug anymore with recent rawhide trees.

Note You need to log in before you can comment on or make changes to this bug.